%define anolis_release 1

Name:           iperf3
Version:        3.14
Release:        %{anolis_release}%{?dist}
Summary:        Measurement tool for TCP/UDP bandwidth performance

License:        BSD
URL:            https://github.com/esnet/iperf
Source0:        https://github.com/esnet/iperf/archive/refs/tags/%{version}.tar.gz
# Report number of reorder_seen
Patch0:         https://github.com/esnet/iperf/pull/1278.patch
BuildRequires:  libuuid-devel
BuildRequires:  gcc
BuildRequires:  lksctp-tools-devel
BuildRequires:  openssl-devel
BuildRequires:  make

%description
Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning of
various parameters and UDP characteristics. Iperf reports bandwidth, delay
jitter, data-gram loss.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n iperf-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license LICENSE
%{_mandir}/man1/iperf3.1*
%{_mandir}/man3/libiperf.3*
%{_bindir}/iperf3
%{_libdir}/*.so.*
%dir %{abidir}
%{abidir}/iperf3-option.list
%{abidir}/libiperf.dump

%files          doc
%doc README.md RELNOTES.md

%files          devel
%{_includedir}/iperf_api.h
%{_libdir}/*.so

%changelog
* Sat Jul 22 2023 Funda Wang <fundawang@yeah.net> - 3.14-1
- New version 3.14

* Tue Apr 18 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.13-1
- Init upstream from version 3.13
